We're updating the issue view to help you get more done. 

Update java.classpath dep to version 0.3.0 to get fix for CLASSPATH-8?

Description

The latest release of tools.namespace depends upon java.classpath 0.2.3, which does not have the fix for CLASSPATH-8, which was first released with java.classpath 0.3.0 I believe.

 

Of course people can manually add a dependency upon the later version of java.classpath when they use tools.namespace, it would probably give a smoother experience if depending upon the latest tools.namespace by default depended upon a later java.classpath with that fix, e.g. https://ask.clojure.org/index.php/8288/java-11-and-tools-namespace

I have not carefully checked whether there are any issues with bumping up the java.classpath dependency version in tools.namespace, but have done a quick test with (refresh) in the test project at the link above and verified that it does improve the behavior there.

Environment

None

Status

Assignee

Unassigned

Reporter

Andy Fingerhut

Labels

None

Approval

None

Patch

None

Priority

Minor